LibreOffice LibreOffice 26.2 SDK API Reference

Public Member Functions | Public Attributes | List of all members
XRegistryKey Interface Referencepublished

makes structural information (except regarding tree structures) of a single registry key accessible. More...

`import"XRegistryKey.idl";`

Inheritance diagram for XRegistryKey:

## Public Member Functions
boolean | isReadOnly () raises ( com::sun::star::registry::InvalidRegistryException )
| checks if the key can be overwritten. More...
boolean | isValid ()
| checks if the key points to an open valid key in the data-source. More...
com::sun::star::registry::RegistryKeyType | getKeyType ([in] string rKeyName) raises ( com::sun::star::registry::InvalidRegistryException )
com::sun::star::registry::RegistryValueType | getValueType () raises ( com::sun::star::registry::InvalidRegistryException )
long | getLongValue () raises ( com::sun::star::registry::InvalidRegistryException, com::sun::star::registry::InvalidValueException )
void | setLongValue ([in] long value) raises ( com::sun::star::registry::InvalidRegistryException )
| sets a long value to the key. More...
sequence< long > | getLongListValue () raises ( com::sun::star::registry::InvalidRegistryException, com::sun::star::registry::InvalidValueException )
void | setLongListValue ([in] sequence< long > seqValue) raises ( com::sun::star::registry::InvalidRegistryException )
| sets a long list value to the key. More...
string | getAsciiValue () raises ( com::sun::star::registry::InvalidRegistryException, com::sun::star::registry::InvalidValueException )
void | setAsciiValue ([in] string value) raises ( com::sun::star::registry::InvalidRegistryException )
| sets an ASCII string value to the key. More...
sequence< string > | getAsciiListValue () raises ( com::sun::star::registry::InvalidRegistryException, com::sun::star::registry::InvalidValueException )
void | setAsciiListValue ([in] sequence< string > seqValue) raises ( com::sun::star::registry::InvalidRegistryException )
| sets an ASCII string list value to the key. More...
string | getStringValue () raises ( com::sun::star::registry::InvalidRegistryException, com::sun::star::registry::InvalidValueException )
void | setStringValue ([in] string value) raises ( com::sun::star::registry::InvalidRegistryException )
| sets a unicode string value to the key. More...
sequence< string > | getStringListValue () raises ( com::sun::star::registry::InvalidRegistryException, com::sun::star::registry::InvalidValueException )
void | setStringListValue ([in] sequence< string > seqValue) raises ( com::sun::star::registry::InvalidRegistryException )
| sets a unicode string value to the key. More...
sequence< byte > | getBinaryValue () raises ( com::sun::star::registry::InvalidRegistryException, com::sun::star::registry::InvalidValueException )
void | setBinaryValue ([in] sequence< byte > value) raises ( com::sun::star::registry::InvalidRegistryException )
| sets a binary value to the key. More...
com::sun::star::registry::XRegistryKey | openKey ([in] string aKeyName) raises ( com::sun::star::registry::InvalidRegistryException )
| opens a sub key of the key. More...
com::sun::star::registry::XRegistryKey | createKey ([in] string aKeyName) raises ( com::sun::star::registry::InvalidRegistryException )
| creates a new key in the registry. More...
void | closeKey () raises ( com::sun::star::registry::InvalidRegistryException )
| closes a key in the registry. More...
void | deleteKey ([in] string rKeyName) raises ( com::sun::star::registry::InvalidRegistryException )
| deletes a key from the registry. More...
sequence< com::sun::star::registry::XRegistryKey > | openKeys () raises ( com::sun::star::registry::InvalidRegistryException )
| opens all subkeys of the key. More...
sequence< string > | getKeyNames () raises ( com::sun::star::registry::InvalidRegistryException )
boolean | createLink ([in] string aLinkName, [in] string aLinkTarget) raises ( com::sun::star::registry::InvalidRegistryException )
| creates a new link in the registry. More...
void | deleteLink ([in] string rLinkName) raises ( com::sun::star::registry::InvalidRegistryException )
| deletes a link from the registry. More...
string | getLinkTarget ([in] string rLinkName) raises ( com::sun::star::registry::InvalidRegistryException )
string | getResolvedName ([in] string aKeyName) raises ( com::sun::star::registry::InvalidRegistryException )
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Public Attributes
string | KeyName
| This is the key of the entry relative to its parent. More...

## Detailed Description

makes structural information (except regarding tree structures) of a single registry key accessible.

This is the main interface for registry keys.

See also
  XSimpleRegistry

## Member Function Documentation

## ◆ closeKey()

void closeKey | ( |  | ) |
raises | ( | com::sun::star::registry::InvalidRegistryException
| ) |  |

closes a key in the registry.

Exceptions

  InvalidRegistryException | if the registry is not open.

## ◆ createKey()

com::sun::star::registry::XRegistryKey createKey | ( | [in] string | aKeyName | ) |
raises | ( | com::sun::star::registry::InvalidRegistryException
| ) |  |

creates a new key in the registry.

If the key already exists, the function will open the key.

Parameters

  aKeyName | specifies the relative path from the current key to the key which will be created.

Returns
  a NULL interface if the key could not be created.

Exceptions

  InvalidRegistryException | if the registry is not open, the registry is readonly or if the key exists and is of type LINK.

## ◆ createLink()

boolean createLink | ( | [in] string | aLinkName,
|  | [in] string | aLinkTarget
| ) |  |
raises | ( | com::sun::star::registry::InvalidRegistryException
| ) |  |

creates a new link in the registry.

Returns
  `TRUE` if the link was created. If the link already exists or the link target does not exist, the function returns `FALSE`.

Parameters

  aLinkName | specifies the relative path from the current key to the link which will be created.
  aLinkTarget | specifies the full path of the key which will be referenced by the link.

Exceptions

  InvalidRegistryException | if the registry is not open or the registry is readonly.

## ◆ deleteKey()

void deleteKey | ( | [in] string | rKeyName | ) |
raises | ( | com::sun::star::registry::InvalidRegistryException
| ) |  |

deletes a key from the registry.

Parameters

  rKeyName | specifies the relative path from the current key to the key which will be deleted.

Exceptions

  InvalidRegistryException | if the registry is not open, the registry is readonly, the key does not exists or if the key is of type LINK.

## ◆ deleteLink()

void deleteLink | ( | [in] string | rLinkName | ) |
raises | ( | com::sun::star::registry::InvalidRegistryException
| ) |  |

deletes a link from the registry.

Parameters

  rLinkName | specifies the relative path from the current key to the link which will be deleted.

Exceptions

  InvalidRegistryException | if the registry is not open, the registry is readonly, or if the link does not exist.

## ◆ getAsciiListValue()

sequence< string > getAsciiListValue | ( |  | ) |
raises | ( | com::sun::star::registry::InvalidRegistryException,
|  | com::sun::star::registry::InvalidValueException
| ) |  |

Returns
  a sequence of ascii strings if the key contains an ascii list value.

Exceptions

  InvalidRegistryException | if the registry is not open.
  InvalidValueException | if the actual value is not of type ascii list.

## ◆ getAsciiValue()

string getAsciiValue | ( |  | ) |
raises | ( | com::sun::star::registry::InvalidRegistryException,
|  | com::sun::star::registry::InvalidValueException
| ) |  |

Returns
  an ascii string value if the key contains one.

Exceptions

  InvalidRegistryException | if the registry is not open.
  InvalidValueException | if the actual value is not of type ascii.

## ◆ getBinaryValue()

sequence< byte > getBinaryValue | ( |  | ) |
raises | ( | com::sun::star::registry::InvalidRegistryException,
|  | com::sun::star::registry::InvalidValueException
| ) |  |

Returns
  a binary value if the key contains one.

Exceptions

  InvalidRegistryException | if the registry is not open.
  InvalidValueException | if the actual value is not of type binary.

## ◆ getKeyNames()

sequence< string > getKeyNames | ( |  | ) |
raises | ( | com::sun::star::registry::InvalidRegistryException
| ) |  |

Returns
  a sequence with the names of all subkeys of the key. If the key has no subkeys, the function returns an empty sequence. If a subkey is a link, the name of the link will be returned.

Exceptions

  InvalidRegistryException | if the registry is not open.

## ◆ getKeyType()

com::sun::star::registry::RegistryKeyType getKeyType | ( | [in] string | rKeyName | ) |
raises | ( | com::sun::star::registry::InvalidRegistryException
| ) |  |

Returns
  the type of the specified key.

Parameters

  rKeyName | specifies the relative path from the current key to the key of the type which will be returned.

Exceptions

  InvalidRegistryException | if the registry is not open.

## ◆ getLinkTarget()

string getLinkTarget | ( | [in] string | rLinkName | ) |
raises | ( | com::sun::star::registry::InvalidRegistryException
| ) |  |

Returns
  the target (complete path of a key) of the link specified by rLinkName.

Parameters

  rLinkName | specifies the relative path from the current key to the link which target will be returned.

Exceptions

  InvalidRegistryException | if the registry is not open or the link does not exists.

## ◆ getLongListValue()

sequence< long > getLongListValue | ( |  | ) |
raises | ( | com::sun::star::registry::InvalidRegistryException,
|  | com::sun::star::registry::InvalidValueException
| ) |  |

Returns
  a sequence of longs if the key contains a long list value.

Exceptions

  InvalidRegistryException | if the registry is not open.
  InvalidValueException | if the actual value is not of type long list.

## ◆ getLongValue()

long getLongValue | ( |  | ) |
raises | ( | com::sun::star::registry::InvalidRegistryException,
|  | com::sun::star::registry::InvalidValueException
| ) |  |

Returns
  a long value if the key contains one.

Exceptions

  InvalidRegistryException | if the registry is not open.
  InvalidValueException | if the value is not of type long.

## ◆ getResolvedName()

string getResolvedName | ( | [in] string | aKeyName | ) |
raises | ( | com::sun::star::registry::InvalidRegistryException
| ) |  |

Returns
  the resolved name of a key. The function resolve the complete name of the key. If a link could not be resolved, the linktarget concatenated with the unresolved rest of the name, will be returned.

Parameters

  aKeyName | specifies a relative path from the current key which will be resolved from all links.

Exceptions

  InvalidRegistryException | if the registry is not open or a recursion was detected.

## ◆ getStringListValue()

sequence< string > getStringListValue | ( |  | ) |
raises | ( | com::sun::star::registry::InvalidRegistryException,
|  | com::sun::star::registry::InvalidValueException
| ) |  |

Returns
  a sequence of unicode strings if the key contains a unicode string list value.

Exceptions

  InvalidRegistryException | if the registry is not open.
  InvalidValueException | if the actual value is not of type string list.

## ◆ getStringValue()

string getStringValue | ( |  | ) |
raises | ( | com::sun::star::registry::InvalidRegistryException,
|  | com::sun::star::registry::InvalidValueException
| ) |  |

Returns
  a unicode string value if the key contains one.

Exceptions

  InvalidRegistryException | if the registry is not open.
  InvalidValueException | if the actual value is not of type string.

## ◆ getValueType()

com::sun::star::registry::RegistryValueType getValueType | ( |  | ) |
raises | ( | com::sun::star::registry::InvalidRegistryException
| ) |  |

Returns
  the type of the key value or NOT_DEFINED if the key has no value.

Exceptions

  InvalidRegistryException | if the registry is not open.

## ◆ isReadOnly()

boolean isReadOnly | ( |  | ) |
raises | ( | com::sun::star::registry::InvalidRegistryException
| ) |  |

checks if the key can be overwritten.

Exceptions

  InvalidRegistryException | if the registry is not open.

## ◆ isValid()

boolean isValid | ( |  | ) |

checks if the key points to an open valid key in the data-source.

## ◆ openKey()

com::sun::star::registry::XRegistryKey openKey | ( | [in] string | aKeyName | ) |
raises | ( | com::sun::star::registry::InvalidRegistryException
| ) |  |

opens a sub key of the key.

If the sub key does not exist, the function returns a NULL-interface.

Parameters

  aKeyName | the relative path from the current key to the key which will be created.

Returns
  a NULL interface if the key does not exist.

Exceptions

  InvalidRegistryException | if the registry is not open.

## ◆ openKeys()

sequence< com::sun::star::registry::XRegistryKey > openKeys | ( |  | ) |
raises | ( | com::sun::star::registry::InvalidRegistryException
| ) |  |

opens all subkeys of the key.

If a subkey is a link, the link will be resolved and the appropriate key will be opened.

Returns
  an empty sequence if the key has no subkeys.

Exceptions

  InvalidRegistryException | if the registry is not open.

## ◆ setAsciiListValue()

void setAsciiListValue | ( | [in] sequence< string > | seqValue | ) |
raises | ( | com::sun::star::registry::InvalidRegistryException
| ) |  |

sets an ASCII string list value to the key.

The high byte of the string should be NULL. If not, there is no guarantee that the string will be correctly transported. If the key already has a value, the value will be overridden.

Exceptions

  InvalidRegistryException | if the registry is not open.

## ◆ setAsciiValue()

void setAsciiValue | ( | [in] string | value | ) |
raises | ( | com::sun::star::registry::InvalidRegistryException
| ) |  |

sets an ASCII string value to the key.

The high byte of the string should be NULL. If not, there is no guarantee that the string will be correctly transported. If the key already has a value, the value will be overridden.

Exceptions

  InvalidRegistryException | if the registry is not open.

## ◆ setBinaryValue()

void setBinaryValue | ( | [in] sequence< byte > | value | ) |
raises | ( | com::sun::star::registry::InvalidRegistryException
| ) |  |

sets a binary value to the key.

If the key already has a value, the value will be overridden.

Exceptions

  InvalidRegistryException | if the registry is not open.

## ◆ setLongListValue()

void setLongListValue | ( | [in] sequence< long > | seqValue | ) |
raises | ( | com::sun::star::registry::InvalidRegistryException
| ) |  |

sets a long list value to the key.

If the key already has a value, the value will be overridden.

Exceptions

  InvalidRegistryException | if the registry is not open.

## ◆ setLongValue()

void setLongValue | ( | [in] long | value | ) |
raises | ( | com::sun::star::registry::InvalidRegistryException
| ) |  |

sets a long value to the key.

If the key already has a value, the value will be overridden.

Exceptions

  InvalidRegistryException | if the registry is not open.

## ◆ setStringListValue()

void setStringListValue | ( | [in] sequence< string > | seqValue | ) |
raises | ( | com::sun::star::registry::InvalidRegistryException
| ) |  |

sets a unicode string value to the key.

If the key already has a value, the value will be overridden.

Exceptions

  InvalidRegistryException | if the registry is not open.

## ◆ setStringValue()

void setStringValue | ( | [in] string | value | ) |
raises | ( | com::sun::star::registry::InvalidRegistryException
| ) |  |

sets a unicode string value to the key.

If the key already has a value, the value will be overridden.

Exceptions

  InvalidRegistryException | if the registry is not open.

## Member Data Documentation

## ◆ KeyName

string KeyName
| attribute readonly

This is the key of the entry relative to its parent.

The access path starts with the root "/" and all parent entry names are delimited with slashes "/" too, like in a UNIX (R) file system. Slashes which are part of single names are represented as hexadecimals preceded with a "%" like in URL syntax.

The documentation for this interface was generated from the following file:

- com/sun/star/registry/XRegistryKey.idl